grilo-plugins (0.3.16-5ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:09 +0200

grilo-plugins (0.3.16-5ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Split package into -base and -extra (Closes: #805609)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 15:07:31 -0400

grilo-plugins (0.3.16-5) unstable; urgency=medium

  [ Alessandro Astone ]
  * Suggests dleyna-server, now that it's maintained again

  [ Alberto Garcia ]
  * Rebuild to complete the transition from libtracker-sparql-3.0-0 to
    libtinysparql-3.0-0 (Closes: #1100425).
  * debian/rules:
    - Don't override dh_missing, --fail-missing is the default option with
      debhelper compat 13.
    - Include buildflags.mk instead of calling dpkg-buildflags.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Fri, 14 Mar 2025 10:11:14 +0100

grilo-plugins (0.3.16-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Split package into -base and -extra (Closes: #805609)
  * Re-enable dLeyna plugin (LP: #2093324)
  * Recommend dleyna-server (LP: #2093324)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Jan 2025 17:06:03 +0100

grilo-plugins (0.3.16-4) unstable; urgency=medium

  * debian/control: Switch to liblua5.4-dev (Closes: #1087571).

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Nov 2024 15:37:11 +0100

grilo-plugins (0.3.16-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2088201). Remaining changes:
    - Split package into -base and -extra (Closes: #805609)
    - d/control: Upgrade lua build dependency to 5.4
    - Disable the dleyna plugin, the service has been removed from Ubuntu

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 14 Nov 2024 17:12:20 +0100

grilo-plugins (0.3.16-3) unstable; urgency=medium

  * Remove non-working plugins: appletrailers, euronews and raitv.

 -- Alberto Garcia <berto@igalia.com>  Fri, 25 Oct 2024 11:25:50 +0200

grilo-plugins (0.3.16-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Drop unused Build-Depends: libgdata-dev (Closes: #1082014)

  [ Alberto Garcia ]
  * debian/control:
    - Remove OpenSubtitles and YouTube from the package description.
    - Update Standards-Version to 4.7.0 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Wed, 18 Sep 2024 14:58:31 +0200

grilo-plugins (0.3.16-1.1ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:54:21 +0000

grilo-plugins (0.3.16-1.1ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:47:49 +0000

grilo-plugins (0.3.16-1.1ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:50:42 +0000

grilo-plugins (0.3.16-1.1ubuntu3) mantic; urgency=medium

  * Disable the dleyna plugin, the service has been removed from Ubuntu,
  * Remove non working appletv, euronews and raitv plugins, the internet
    services changed now and they are just crashing

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Oct 2023 15:17:59 +0200

grilo-plugins (0.3.16-1.1ubuntu2) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 21 Jul 2023 14:30:39 -0700

grilo-plugins (0.3.16-1.1ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 06:26:41 -0400

grilo-plugins (0.3.16-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build with libsoup3
    - The YouTube & OpenSubtitles plugins are not compatible with libsoup3
  * Build-Depend on itstool instead of yelp-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 12:01:46 -0400

grilo-plugins (0.3.16-1ubuntu2) mantic; urgency=medium

  * Re-enable dmap plugins

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jun 2023 06:53:23 -0400

grilo-plugins (0.3.16-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2007623). Remaining change:
    - Split package into -base and -extra (Closes: #805609)
  * Build with libsoup3
    - The YouTube & OpenSubtitles plugins are not compatible with libsoup3
  * Temporarily disable dmap plugins (until we update libdmapsharing to 3.9)
  * Build against the grilo version that uses libsoup3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 15:51:31 -0400

grilo-plugins (0.3.16-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Mon, 10 Apr 2023 11:47:26 +0200

grilo-plugins (0.3.15-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2007623). Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Amin Bandali <bandali@canonical.com>  Thu, 16 Feb 2023 19:20:02 -0500

grilo-plugins (0.3.15-2) unstable; urgency=medium

  * debian/control:
    - Stop recommending dleyna-server (Closes: #1030125).
    - Update Standards-Version to 4.6.2 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 31 Jan 2023 16:45:49 +0100

grilo-plugins (0.3.15-1ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #1997979). Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 25 Nov 2022 11:31:46 -0300

grilo-plugins (0.3.15-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/control:
    - Update debhelper-compat from 12 to 13 (Closes: #1003134).
    - Update Standards-Version to 4.6.1.0 (no changes).
  * debian/grilo-plugins-0.3.lintian-overrides:
    - Update format of hardening-no-fortify-functions.
  * debian/copyright:
    - Update copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgdata-dev, libglib2.0-dev,
      libgoa-1.0-dev and libtotem-plparser-dev.

 -- Alberto Garcia <berto@igalia.com>  Thu, 25 Aug 2022 00:12:45 +0200

grilo-plugins (0.3.14-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Ã…ï¿½ukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:56:24 +0100

grilo-plugins (0.3.14-1ubuntu1) jammy; urgency=medium

  * Sync with Debian. Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 15 Nov 2021 21:56:50 +0100

grilo-plugins (0.3.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.6.0.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Oct 2021 11:05:21 +0200

grilo-plugins (0.3.13-3ubuntu2) impish; urgency=medium

  * Drop dependency from grilo-plugins-0.3-extra on
    libtotem-plparser-videosite which is no longer available.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 22:58:10 -0400

grilo-plugins (0.3.13-3ubuntu1) impish; urgency=medium

  * Sync with Debian. Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 07:17:51 -0400

grilo-plugins (0.3.13-3) unstable; urgency=medium

  [ Iain Lane ]
  * debian/control, debian/rules: Switch from tracker 2 to tracker 3. These
    are mutually exclusive so pass the build options to explicitly select
    tracker 3 (Closes: #993491).

 -- Alberto Garcia <berto@igalia.com>  Mon, 06 Sep 2021 23:52:09 +0200

grilo-plugins (0.3.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Mon, 16 Aug 2021 17:15:12 +0200

grilo-plugins (0.3.13-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
    - Remove deleted files from the list.
  * debian/control:
    - Remove Vimeo and Jamendo plugins from the list.
    - Update Standards-Version to 4.5.1 (no changes).
  * debian/watch:
    - Set version to 4 (fixes older-debian-watch-file-standard)

 -- Alberto Garcia <berto@igalia.com>  Sun, 04 Apr 2021 01:00:57 +0200

grilo-plugins (0.3.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update build dependency on libgom-1.0-dev to 0.4.
    - Remove the Spotify Cover plugin from the list, it's no longer
      available.
  * debian/rules:
    - Disable deprecation warnings.

 -- Alberto Garcia <berto@igalia.com>  Sun, 06 Sep 2020 14:49:43 +0200

grilo-plugins (0.3.11-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/copyright:
    - Set Upstream-Contact to the mailing list.
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.5.0 (no changes).
    - Add Rules-Requires-Root: no.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Alberto Garcia <berto@igalia.com>  Sun, 16 Feb 2020 15:14:33 +0100

grilo-plugins (0.3.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove build dependencies on docbook-xml, python-dbusmock,
      gstreamer1.0-tools, gstreamer1.0-plugins-bad, uuid-dev and
      libgmime-3.0-dev. These are either obsolete or only required for the
      tests (which have been disabled since 0.2.17-1 already).
      (Closes: #939117)
    - Update build dependency on tracker to 2.3.0.
    - Update Standards-Version to 4.4.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Thu, 31 Oct 2019 08:59:05 +0100

grilo-plugins (0.3.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Require libgrilo 0.3.8.
    - List the new Steam Store plugin in the package description and
      remove the Metrolyrics and Pocket plugins.
    - Update Standards-Version to 4.4.0 (no changes).
  * debian/copyright:
    - Update copyright years and file list.

 -- Alberto Garcia <berto@igalia.com>  Fri, 09 Aug 2019 15:57:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog grilo-plugins-0.3-base`.
